Package org.eclipse.birt.core.archive.compound

# Class ArchiveEntryV3

java.lang.Object
org.eclipse.birt.core.archive.compound.ArchiveEntry
org.eclipse.birt.core.archive.compound.ArchiveEntryV3

public class ArchiveEntryV3 extends ArchiveEntry

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ArchiveFileV3`
`archive`
`protected org.eclipse.birt.core.archive.compound.v3.Ext2File`
`file`

### Fields inherited from class org.eclipse.birt.core.archive.compound.ArchiveEntry

`name, output`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`long`
`getLength()`
`int`
`read(long pos, byte[] b, int off, int len)`
`void`
`setLength(long length)`
`void`
`write(long pos, byte[] b, int off, int len)`

### Methods inherited from class org.eclipse.birt.core.archive.compound.ArchiveEntry

`flush, getName, refresh, setOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### archive

protected ArchiveFileV3 archive

### file

protected org.eclipse.birt.core.archive.compound.v3.Ext2File file

## Method Details

### getLength

public long getLength() throws IOException

Specified by:
  `getLength` in class `ArchiveEntry`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in class `ArchiveEntry`
Throws:
  `IOException`

### read

public int read(long pos, byte[] b, int off, int len) throws IOException

Specified by:
  `read` in class `ArchiveEntry`
Throws:
  `IOException`

### setLength

public void setLength(long length) throws IOException

Specified by:
  `setLength` in class `ArchiveEntry`
Throws:
  `IOException`

### write

public void write(long pos, byte[] b, int off, int len) throws IOException

Specified by:
  `write` in class `ArchiveEntry`
Throws:
  `IOException`